Date   

Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #827 What is the CORRECT Identifier?
By valdisvi:

You should learn to use espeak properly. From command line documentation:

-l Line length. If not zero (which is the default), consider lines less than this length as end-of-clause.

What espeak --voices shows to you?


[espeak-ng:master] New Comment on Issue #827 What is the CORRECT Identifier?
By valdisvi:

You should learn to use espeak properly. From command line documentation:

-l Line length. If not zero (which is the default), consider lines less than this length as end-of-clause.

What espeak --voices shows to you?


[espeak-ng:master] New Comment on Issue #827 What is the CORRECT Identifier?
By valdisvi:

What command espeak --voices shows to you? Does it contains Arabic in list?


[espeak-ng:master] reported: What is the CORRECT Identifier? #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #827 What is the CORRECT Identifier?
By valdisvi:

What command espeak --voices shows to you? Does it contains Arabic in list?


[espeak-ng:master] reported: espeak crashes with sum strings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #824 espeak crashes with sum strings
By sukiletxe:

Confirmed, eSpeak doesn't say anything on these lines. Seems other languages are affected too, for example Arabic. It also seems that, in some languages, the results are different based on NVDA's punctuation levels.


[espeak-ng:master] reported: espeak crashes with sum strings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #824 espeak crashes with sum strings
By alex19EP:

Cannot reproduce. Please tell us your eSpeak and NVDA settings (language, voice, variant).

sorry. not tested much crash is reproducing on Russian language. English is not affected. i am using Max variant.


[espeak-ng:master] reported: espeak crashes with sum strings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #824 espeak crashes with sum strings
By sukiletxe:

Cannot reproduce. Please tell us your eSpeak and NVDA settings (language, voice, variant).


[espeak-ng:master] reported: What is the CORRECT Identifier? #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #827 What is the CORRECT Identifier?
By gelodefaultbrain:

This is what I am talking about... I tried on the CMD then en-us as the language then it worked! Cause en-us is for english right? American!

But when I tried ar it's not working it says fatal error: language "ar" is not supported by the espeak backend

Now the point is why is this happening where LITERALLY on the docs it says for Arabic is ar. Am I missing something? please help Thank you!

image


[espeak-ng:master] new issue: What is the CORRECT Identifier? #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this. As you can see there I put the language="ar" as the argument or parameter but it gives me an error that the language "ar" is not supported? How is that possible where on the documentation I see that it is "ar"?

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please UPDATE the identifiers cause srsly it's kinda confusing or maybe I just don't know the right identifier and at least it can be provided there. Thank you!

PS: I am doing this in the python programming language


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please ### UPDATE the identifiers cause srsly it's kinda confusion or maybe I just don't know the right identifier and at least it can be provided there. Thank you!


[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please UPDATE the identifiers cause srsly it's kinda confusion or maybe I just don't know the right identifier and at least it can be provided there. Thank you!


[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please UPDATE the identifiers cause srsly it's kinda confusing or maybe I just don't know the right identifier and at least it can be provided there. Thank you!


[espeak-ng:master] New Issue Created by gelodefaultbrain:
#827 What is the CORRECT Identifier?

Hello! I am trying to get the IPA of certain words and sentences of arabic. Then I do this

	letter_ipa = phonemize(lower_case_letter,language="ar",backend="espeak")
	word_ipa = phonemize(word,language="ar",backend="espeak")

However it says this

    raise RuntimeError(
RuntimeError: language "ar" is not supported by the espeak backend

I don't understand cause base on the documentation. It clearly says that it is ar as the identifier

image

Can the developers please UPDATE the identifiers cause srsly it's kinda confusing or maybe I just don't know the right identifier and at least it can be provided there. Thank you!

PS: I am doing this in the python programming language


[espeak-ng:master] reported: Hebrew is not supported #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By valdisvi:

Currently Hebrew language is available only in development version of eSpeak NG. You can build eSpeak NG from source code, or test it on-line here.


[espeak-ng:master] reported: crashing with using georgian language #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #534 crashing with using georgian language
By alex19EP:

can't reproduce in NVDA 20.3


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #826 Problem with Android
By rhdunn:

You need to run the make espeakdata target in the makefile in the top-level project directory (not the android directory) which generates those files. There are apk-release and apk-debug helper targets in that makefile that build the jni library, espeak-ng, the espeak data, and the apk.


[espeak-ng:master] Label added to issue #826 Problem with Android by Rati2019.


[espeak-ng:master] Label added to issue #826 Problem with Android by Rati2019.


[espeak-ng:master] Issue #826 Problem with Android closed by Rati2019.


[espeak-ng:master] new issue: Problem with Android #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by Rati2019:
#826 Problem with Android

We have downloaded espeak-ng files for Android from https://github.com/espeak-ng/espeak-ng, but we miss files: 1) espeakdata 2) espeakdata_version. Could you please help us to resolve the issue?


[espeak-ng:master] new issue: Hebrew is not supported #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by NirAbel:
#825 Hebrew is not supported

hello, I'm trying to use the Hebrew language but it's not work for me. for example: espeak -v he "בוקר טוב"

return: Error: The specified espeak-ng voice does not exist.

please help me. Thank you! Nir


Pull Request Updated #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/pcaudiolib] Pull request updated by sthibaul:

#6 Fix cancelation snappiness

Screen reader users report getting late cancelation, or even mixtures of speech. This is because the default buffering parameters of alsa or pulseaudio are relatively large.

This change sets alsa and pulseaudio buffer sizes to 10ms worth of audio, which is the human snappiness perception limit.


Pull Request Opened #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng/pcaudiolib] Pull request opened by sthibaul:

#6 Fix cancelation snappiness

Screen reader users report getting late cancelation, or even mixtures of speech. This is because the default buffering parameters of alsa or pulseaudio are relatively large.

This change sets alsa and pulseaudio buffer sizes to 10ms worth of audio, which is the human snappiness perception limit.


[espeak-ng:master] new issue: espeak crashes with sum strings #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by alex19EP:
#824 espeak crashes with sum strings

i can crash espeak with sum long strange strings.

platforms

  • nvda 20.3
  • android 10

i attaching file with such strings: bad-strings.txt

such strings is common on webpages so for me espeak-ng is crashes often enough.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #772 Setting buffer size to 50ms leads to truncated mbrola-fr4 output
By sthibaul:

So this was fixed by #775


[espeak-ng:master] Issue #772 Setting buffer size to 50ms leads to truncated mbrola-fr4 output closed by sthibaul.


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Pull Request #823 Update mbrola.md
By valdisvi:

That code doesn't use MBROLA hu1 voice. You should run:

espeak-ng "Azonosítás szükséges" -v mb-hu1

Look for details here


[espeak-ng:master] New Comment on Pull Request #823 Update mbrola.md
By valdisvi:

That code doesn't use MBROLA hu1 voice. You should run:

espeak-ng "Azonosítás szükséges" -v mb-hu1

Look for details here.


[espeak-ng:master] reported: Update mbrola.md #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Pull Request #823 Update mbrola.md
By IstenesImre:

?

espeak "Azonosítás szükséges" -v hu or espeak "Azonosítás szükséges" -v hu-hu1 --stdout > hungarian.wav Output


Updates to Github #github

espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Pull Request #823 Update mbrola.md
By valdisvi:

Personal opinions may be different, but primary data say it is female voice.


[espeak-ng/espeak-ng] Pull request closed by valdisvi:

#823 Update mbrola.md

Hungarian voice is male.

801 - 820 of 4305